#ifndef __ASM_MACH_FPGA_H
#define __ASM_MACH_FPGA_H

#define FPGA_SRSTR	0x0000
#define FPGA_IRQSR0	0x0020
#define FPGA_IRQSR1	0x0022
#define FPGA_IRQMR0	0x0030
#define FPGA_IRQMR1	0x0032
#define FPGA_FPVERR	0x0050
#define FPGA_FPDATER	0x0060
#define FPGA_BUSSWMR1	0x0070
#define FPGA_BUSSWMR2	0x0072
#define FPGA_BUSSWMR3	0x0074
#define FPGA_BUSSWMR4	0x0076
#define FPGA_DIPSWMR	0x1000
#define FPGA_FPODR	0x1010
#define FPGA_FPIDR	0x1014
#define FPGA_ATAESR	0x1020
#define FPGA_MMCCDSR	0x1080
#define FPGA_MMCPWCR	0x1090
#define FPGA_SD2PWCR	0x1092
#define FPGA_TUNERWCR	0x1094
#define FPGA_BCASCR	0x10b0
#define FPGA_VDECCR	0x10b2
#define FPGA_LCDCR	0x10b4
#define FPGA_DTERMCR	0x10b6
#define FPGA_ETHSR	0x10b8
#define FPGA_PSWCR	0x10c0
#define FPGA_LEDCR	0x10c2
#define FPGA_DEVRSTCR1	0x10d0
#define FPGA_DEVRSTCR2	0x10d2
#define FPGA_A1MDSR	0x10e0
#define FPGA_BVERR	0x1100

#define IRQ_PSW		0
#define IRQ_LCD_SYS	1
#define IRQ_AUDIO5_11	3
#define IRQ_AUDIO5_10	4
#define IRQ_TP0_18B	5
#define IRQ_CAM0	7
#define IRQ_SIM		8
#define IRQ_HDMI	9
#define IRQ_COMPASS	10
#define IRQ_SENSOR	11
#define IRQ_TP1		12
#define IRQ_TP0		13
#define IRQ_USB		14
#define IRQ_ETH		15
#define IRQ_EXCS4	16
#define IRQ_EXCS5A	17
#define IRQ_EXCS5B	18
#define IRQ_EXCS6A	19
#define IRQ_RTC		29
#define IRQ_RMII	30
#define IRQ_PMIC	31

extern void fpga_init(void);
extern u16 fpga_read(u32 offset);
extern void fpga_write(u32 offset, u16 val, u16 mask);

#endif /* __ASM_MACH_FPGA_H */
