/*
 * FIFO-incorporating Melody and Serial Interface (FMSI) support
 *
 * Copyright (C) 2011 Renesas Electronics Corporation.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __SOUND_FMSI_H
#define __SOUND_FMSI_H



/* Audio Clock Mode
	RSPF0_FMSIDRV_AUDIOCLK_512FS : 512fs
	RSPF0_FMSIDRV_AUDIOCLK_256FS : 256fs
	RSPF0_FMSIDRV_AUDIOCLK_128FS : 128fs
	RSPF0_FMSIDRV_AUDIOCLK_64FS  : 64fs
	RSPF0_FMSIDRV_AUDIOCLK_32FS  : 32fs
*/
#define FMSI_AUDIOCLK	RSPF0_FMSIDRV_AUDIOCLK_256FS

/* Bit/Fs Mode
	RSPF0_FMSIDRV_BITPERFS_32BIT  : 32bit/fs
	RSPF0_FMSIDRV_BITPERFS_64BIT  : 64bit/fs
	RSPF0_FMSIDRV_BITPERFS_128BIT : 128bit/fs
	RSPF0_FMSIDRV_BITPERFS_256BIT : 256bit/fs
	RSPF0_FMSIDRV_BITPERFS_512BIT : 512bit/fs
	RSPF0_FMSIDRV_BITPERFS_16BIT  : 16bit/fs
*/
#define FMSI_BITPERFS	RSPF0_FMSIDRV_BITPERFS_64BIT


extern struct snd_soc_dai fmsi_soc_dai;
extern struct snd_soc_platform fmsi_soc_platform;

#endif /* __SOUND_FMSI_H */
