/*
 *  File Name       : RSPF0_spu_api_common.h
 *  Function        : SPU OPEN SOUND I/F
 *  Release Version : Ver 1.00
 *  Release Date    : 2011/11/30
 *
 *  Copyright (C) 2011 Renesas Electronics Corporation
 *
 *  This program is free software;you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by Free
 *  Softwere Foundation; either version 2 of License, or (at your option) any
 *  later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY;
 *  without even the implied warrnty of MERCHANTABILITY or FITNESS FOR A
 *  PARTICULAR PURPOSE.
 *  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program;
 *  If not, write to the Free Software Foundation, Inc., 51 Franklin St,
 *  Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
#ifndef __RSPF0_SPU_API_COMMON_H__
#define __RSPF0_SPU_API_COMMON_H__

#include "RSPF0_spu_api.h"

#define SPUAPI_DSP0              (0)
#define SPUAPI_DSP1              (1)
#define SPUAPI_DSP_MAX           (2)
#define SPUAPI_MESSAGE_LENGTH    (16)

#define SPUAPI_ISR1              (0)
#define SPUAPI_ISR2              (1)

#define SPUAPI_API_ID(module_id, api_code) (((module_id) << 12) | (api_code))

#define SPUAPI_ERROR_PARAM       (-3)
#define SPUAPI_ERROR_DRIVER      (-4)
#define SPUAPI_ERROR_RESOURCE    (-5)
#define SPUAPI_ERROR_NO_OBJECT   (-6)

#define SPUAPI_NO_RESPONSE_FLAG  (0x00000200)
#define SPUAPI_NO_RESPONSE_API(x)  ((x) | SPUAPI_NO_RESPONSE_FLAG)

#endif /* __RSPF0_SPU_API_COMMON_H__ */

MODULE_LICENSE("GPL");
MODULE_DESCRIPTION("SPU OPEN SOUND I/F Ver 1.0");
MODULE_AUTHOR("Renesas Electronics");
